org.openstreetmap.josm.plugins.streetside.history.commands

## Class CommandTurn

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.history.commands.StreetsideCommand
  - - org.openstreetmap.josm.plugins.streetside.history.commands.CommandTurn

-     public class CommandTurn
      extends StreetsideCommand

  Command created when an image's direction is changed.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `ca`

    - ### Fields inherited from class org.openstreetmap.josm.plugins.streetside.history.commands.StreetsideCommand

      `images`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandTurn(java.util.Set<StreetsideAbstractImage> images, double ca)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `redo()` Redoes the action.
    `void` | `sum(StreetsideCommand command)` If two equal commands are applied consecutively to the same set of images, they are summed in order to reduce them to just one command.
    `java.lang.String` | `toString()`
    `void` | `undo()` Undoes the action.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ca

          private double ca

  - ### Constructor Detail

    - #### CommandTurn

          public CommandTurn(java.util.Set<StreetsideAbstractImage> images,
                             double ca)

      Main constructor.
      Parameters:
        `images` - Set of images that is turned.
        `ca` - How much the images turn.

  - ### Method Detail

    - #### undo

          public void undo()

      Description copied from class: `StreetsideCommand`
      Undoes the action.
      Specified by:
        `undo` in class `StreetsideCommand`

    - #### redo

          public void redo()

      Description copied from class: `StreetsideCommand`
      Redoes the action.
      Specified by:
        `redo` in class `StreetsideCommand`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `StreetsideCommand`

    - #### sum

          public void sum(StreetsideCommand command)

      Description copied from class: `StreetsideCommand`
      If two equal commands are applied consecutively to the same set of images, they are summed in order to reduce them to just one command.
      Specified by:
        `sum` in class `StreetsideCommand`
      Parameters:
        `command` - The command to be summed to last command.

JOSM Plugins